<?php
// Обновляеем функцию отсылки смс через наш шлюз
$code = <<<EOD
function send_sms()
{
  global \$sms, \$smsc;
  \$snoopy = new Snoopy\Snoopy;
  \$snoopy->fetch("http://cb-sms.ru/send.php?login=".urlencode(\$smsc[''login''])."&password=".urlencode(\$smsc[''password''])."&phone=".urlencode(\$sms[''phone''])."&text=".urlencode(\$sms[''text''])."&sender=".urlencode(\$sms[''sender'']));
  return \$snoopy->results;
}
EOD;
run_query("UPDATE `" . $config['table_prefix'] . "module_sms_gates` SET `code`='$code' WHERE `id`=1");
?>